%define upstream_name    File-Path
%define upstream_version 2.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    File path and name utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(SelectSaver)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

%description
This module provide a convenient way to create directories of arbitrary
depth and to delete an entire directory subtree from the filesystem.

The following functions are provided:

* make_path( $dir1, $dir2, .... )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make_build}

%check
%{make_build} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.180.0-2.mga9
+ Revision: 1813567
- Mageia 9 Mass Rebuild

* Sat Nov 07 2020 tv <tv> 2.180.0-1.mga8
+ Revision: 1643141
- update to 2.18

* Mon Jul 20 2020 tv <tv> 2.170.0-1.mga8
+ Revision: 1607355
- update to 2.17

* Wed Feb 12 2020 umeabot <umeabot> 2.160.0-3.mga8
+ Revision: 1504494
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.160.0-2.mga7
+ Revision: 1283684
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 2.160.0-1.mga7
+ Revision: 1258702
- update to 2.16

* Wed Aug 02 2017 shlomif <shlomif> 2.150.0-1.mga7
+ Revision: 1134048
- New version 2.15

* Sat Jul 22 2017 shlomif <shlomif> 2.140.0-1.mga7
+ Revision: 1127929
- New version 2.14

* Tue Jun 06 2017 shlomif <shlomif> 2.130.0-1.mga6
+ Revision: 1107133
- New version 2.13 fixing MGA#19051 / CVE-2017-6512 .

* Sun Jun 19 2016 pterjan <pterjan> 2.120.0-3.mga6
+ Revision: 1027420
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 2.120.0-2.mga6
+ Revision: 971318
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 2.120.0-1.mga6
+ Revision: 891351
- update to 2.12

* Sun Jul 19 2015 sander85 <sander85> 2.110.0-1.mga6
+ Revision: 855338
- update to 2.11

* Wed Oct 15 2014 umeabot <umeabot> 2.90.0-4.mga5
+ Revision: 749379
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.90.0-3.mga5
+ Revision: 684747
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.90.0-2.mga4
+ Revision: 537150
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 2.90.0-1.mga4
+ Revision: 486416
- update to 2.09

* Wed Mar 27 2013 jquelin <jquelin> 2.80.0-3.mga3
+ Revision: 405487
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.80.0-2.mga3
+ Revision: 367287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.80.0-1.mga1
+ Revision: 26188
- mageia rebuild
- imported package perl-File-Path

